Lettermint Team API

Check that the API is reachable and look up the attachment types Lettermint rejects.


Ping the API

GET
https://api.lettermint.co/v1
/ping
Bearer
or
x-lettermint-token (header)

This endpoint can be used to check the API status and verify authentication. It accepts both Team API tokens (via Bearer authentication) and Project API tokens (via X-Lettermint-Token header).

Ping the API › Responses

Const value: pong

List blocked file types

GET
https://api.lettermint.co/v1
/blocked-file-types
Bearer

Returns the file extensions and MIME types that cannot be sent as email attachments.

List blocked file types › Responses

Blocked file types

File types that cannot be sent as email attachments.
extensions
​string[] · required

Blocked file extensions, without the leading dot

mime_types
​string[] · required

Blocked MIME types